Events
/- Searches for functions using predefined parameters
Creates a new function record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified event_id
Describes all of the functions for an event
Returns a function from the system by its ID.
Returns a function from the system by its ID.
Returns a function from the system by its ID.
Partially updates a function with the specified ID.
Updates a function with the specified ID.
Searches for functions us...
Searches for functions using predefined parameters
Security
knox-authorizer
The function that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/functions/{tenantId}/search
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/functions/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/functions/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"end_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"event_id": "string",
"ids": [
"string"
],
"name": "string",
"start_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"type_id": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }